#ifndef HAVE_OLD_LIBXML_INCLUDES
#include <libxml/parser.h>
#else
#include <parser.h>
#ifndef xmlChildrenNode
#define xmlChildrenNode childs
#endif
#endif
#ifndef __INCLUDED_GACL_H__
#define __INCLUDED_GACL_H__
#include "gacl.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

int GACLsubstitute(GACLacl* acl,struct _GACLnamevalue *subst);
GACLacl *GACLacquireAcl(const char *str);
GACLperm GACLtestFileAclForSubject(const char *filename,const char* subject);
int GACLsaveSubstituted(GACLacl* acl,struct _GACLnamevalue *subst,const char* filename);
int GACLdeleteFileAcl(const char *filename);
char* GACLmakeName(const char* filename);

#ifdef __cplusplus
}
#endif
